Como atualizar o Ubuntu Dapper (6.06) para Edgy (6.10)

Edgy é a versão mais nova do Ubuntu (6.10), trazendo os mais novos pacotes atualizados. Esse artigo é SOMENTE pra quem realmente quer fazer um upgrade para a versão testing do Ubuntu, a versão estável hoje é a 6.06 LTS (Dapper).

[ Hits: 35.896 ]

Por: Luiz Antônio Dias do Nascimento em 08/12/2006


Por quê atualizar ?



Se você é um usuário que curte novidades do mundo Linux, esse artigo é pra você, pro pessoal que não quer se arriscar a formatar seu micro em caso de kernel-panic, podem só encomendar a reza pros aventureiros ;)

Primeiramente, para se atualizar sua distribuição pra versão mais atual é necessário atualizar seu repositório APT.

Os comandos aqui citados deverão ser executados em um terminal logado como root.

$ su
password: sua senha ;)

Ou use os comandos diretos com a ajuda do sudo (essa linha faz uma cópia de segurança da sua lista de repositórios):

$ sudo cp /etc/apt/sources.list /etc/apt/sources.antiga

$ sudo gedit /etc/apt/sources.list


Pra quem usa KDE, usar o kwrite, kedit ou o vi (editor via terminal) ficaria assim:

$ sudo kedit /etc/apt/sources.list

Após a abertura do arquivo, apague todo o conteúdo do mesmo e adicione as seguintes listas de repositórios:

##lista de repositório para a versão edgy

deb http://br.archive.ubuntu.com/ubuntu edgy-backports main restricted universe multiverse
deb-src http://br.archive.ubuntu.com/ubuntu edgy-backports main restricted universe multiverse

deb http://security.ubuntu.com/ubuntu edgy-security main restricted
deb-src http://security.ubuntu.com/ubuntu edgy-security main restricted

deb http://security.ubuntu.com/ubuntu edgy-security universe
deb-src http://security.ubuntu.com/ubuntu edgy-security universe

deb http://archive.ubuntu.com/ubuntu edgy multiverse
deb-src http://archive.ubuntu.com/ubuntu edgy multiverse

deb http://archive.ubuntu.com/ubuntu edgy-backports main restricted universe multiverse

deb http://br.archive.ubuntu.com/ubuntu edgy universe
deb-src http://br.archive.ubuntu.com/ubuntu edgy universe

deb http://br.archive.ubuntu.com/ubuntu edgy-updates main restricted
deb-src http://br.archive.ubuntu.com/ubuntu edgy-updates main restricted

deb http://us.archive.ubuntu.com/ubuntu edgy main restricted
deb-src http://us.archive.ubuntu.com/ubuntu edgy main restricted
    Próxima página

Páginas do artigo
   1. Por quê atualizar ?
   2. Atualizando seu Ubuntu
Outros artigos deste autor

Como instalar/atualizar seu kernel

Leitura recomendada

Instalando o KUbuntu / Ubuntu no notebook eeepc da Asus

Verificando e marcando badblocks

Sistemas de arquivos EXT3 e ReiserFS no GNU/Linux

Configuração do Autofs

Inserindo o recurso de lixeira no Samba

  
Comentários
[1] Comentário enviado por jony em 08/12/2006 - 09:01h

Meu caro,
acho que você cometeu alguns enganos...

A versão estável atualmente é a 6.10 (Edgy eft). A versão "testing" como vc diz é a Feisty Fawn (7.04), que será lançada em abril/2007. Uma versão alpha do 7.04 foi lançada esses dias: http://digg.com/linux_unix/Ubuntu_7_04_Feisty_Fawn_Alpha_Today_Released_Screenshots_Gallary

Para atualizar a versão do Ubuntu, basta utilizar:
$ sudo update-manager -c -d

valeu colega ;)

Jony dos Santos Kostetzer

[2] Comentário enviado por Tyreon em 08/12/2006 - 11:29h

Adorei, você explicou detalhadamente cada processo e o que eles fazem
Eu que estou começando adorei
Vlw

[3] Comentário enviado por bryan em 08/12/2006 - 12:05h

Opa!

Cara, há algum tempo atrás eu tinha feito a atualização do meu Dapper para o Edgy e deu alguns problemas. Já faz um bom tempo, então gostaria de saber se já foram corrigidos. Tipo, o Firefox não abria nada com Flash (nem o GMail), era muito pesado (pesado mesmo), além de alguns problemas com GTK (um colega meu da faculdade me disse que aconteceu isso na máquina dele). Pelo que deu para perceber, o problema aconteceu com muita gente e, principalmente, em máquinas um pouco mais antigas (por exemplo, meu PC é um Intel Celeron 1.0 GHz, com 128 MB de memória RAM DIMM).

[4] Comentário enviado por Tyreon em 08/12/2006 - 12:53h

Eu queria saber se isso funciona tanto no Ubuntu pra 64 bits quanto no de 32 bits
Por favor, preciso de uma resposta

[5] Comentário enviado por gostt em 08/12/2006 - 17:45h

Sim, para 32bits como para 64bits.
use: gksu “update-manager -c ”
Se voce adicionar o -d apos o -c, vai pegar a versão de teste.

Via console, faça assim:
$sudo sed -e ’s/\sdapper/ edgy/g’ -i /etc/apt/sources.list

$sudo apt-get update

$sudo apt-get dist-upgrade

Para garantir que tudo esta 100%

$sudo apt-get -f install

$sudo dpkg --configure -a

Caso tenha o cdrom do Edgy, no X use:

gksu sh /cdrom/cdromupgrade

No console:

$sudo apt-cdrom add
$sudo apt-get update
$sudo apt-get dist-upgrade


Boa sorte

[6] Comentário enviado por tyreon em 08/12/2006 - 22:21h

Muito obrigado ao gostt e ao criador do artigo
Continuem ajudando os novatos como eu, pois um dia nos iremos ajudar os mais novos tambem

[7] Comentário enviado por fininhors em 09/12/2006 - 04:32h

Muito bom esse tutorial, mas tenho uma crítica ou uma pergunta, como preferir, não seria mais fácil baixar a versão nova diretamente?
Qual a vantagem em baixar quase 1GB de atualizações sendo que a ISO do 6.10 tem cerca de 670MB?

[8] Comentário enviado por luizdn em 09/12/2006 - 17:43h

respondendo ao bryan, os problemas referentes as versões de arquivos foram corrigidas sim, oq acontece é que se vc nao responder Sim para sobrescrever alguns scripts, eles permanecem com os parametros antigos.

em relação ao por que atualizar ? se vc ja tem uma gama de programas instalados e configurações ja prontas, não há nescessidade de re-configuras tudo d novo. tbm sou iniciante e axo q comentarios só tendem a acrescentar ao nosso conhecimento. o artigo foi feito a um tempo atras, e na epoca as versoes eram respectivamente as Dapper e Edgy.

respondendo ao Tyreon, sim ela tbm serve pra versão amd64.

[9] Comentário enviado por y2h4ck em 10/12/2006 - 12:42h

So para deixar o pessoal esperto, quando atualizei meu Dapper para Edgy o X parou de funcionar pois o apt-get nao instalou corretamente varios pacotes como por exemplo:

- xserver-xorg
- upstart

Entao realmente recomendo que no momento da atualizacao usem o aptitude:


# aptitude upgrade
# aptitude dist-upgrade

Obrigado.
:)

[10] Comentário enviado por rockz em 12/12/2006 - 13:39h

se eu fizer o update , vou perder meus dados atuais na versão 6.06 ?
vlw

[11] Comentário enviado por luizdn em 13/12/2006 - 19:28h

rockz, seus dados nao perde nada, só se formatasse :)

[12] Comentário enviado por hsilva em 14/12/2006 - 20:52h

muito bom !!!!!!!

[13] Comentário enviado por Gaucho em 29/12/2006 - 11:02h

gostt, no meu caso, não tenho o cdrom do edgy, basta ignorar os últimos comandos no teu comentário?

y2h4ck, basta simplesmente usar o aptitude no lugar do apt-get? o resto dos comandos (por exemplo, ao invés de usar apt-get -f install, usar aptitude -f install?)

Sorry pelas perguntas ultra-noob, mas tou no começo da minha caminhada no Linux ainda :-(

[14] Comentário enviado por daviscabral em 31/12/2006 - 14:01h

No meu trabalho, atualizei sem problema nenhum.
Troquei os repositorios e boa!
Fiz funcionar até o Beryl + aiglx...

Mas aqui em casa, ferrou algo na GTK, firefox não abre (core dumped), GTK+ com pau eu acho...
Baixei os fontes e tentei dar configure e ele nao achou o gtk+...
Vamos ver se consigo resolver... De qq forma tou com o Opera agora e o resto tá blz...

[15] Comentário enviado por cpereira-rs em 04/01/2007 - 17:22h

Preciso de Ajuda Luiz Antonio.

Instalei numas maquinas o Kubuntu, adicionei impressora e funcionou corretamente, mas quando fui configurar o servidor CUPS deu problema, fiz os procedimentos abaixo mas deu problema..
Instalando o Servidor CUPS no Kubuntu

Fiz os seguintes procedimentos, os mesmos feitos no kurumin e deu certo.

Abri no navegador o servidor cups usando o comando: kdesu konqueror http://127.0.0.1:631

coloquei a senha do root.

Entrei no Printers – Adicionei a impressora – testei impressão e funcionou tudo bem.

Após a instalação da impressora fui configurar o Manege Server para disponibilizar a impressora para a rede, foi onde deu problema, aparece a solicitação do usuário e senha do servidor CUPS.

Não entendo se inicializei o servidor CUPS como root, não sei porque pede essa senha, dá onde surgiu essa senha?

Selecionei conforme na figura abaixo as opções do Basic Server Setting e cliquei no botão Charge Settings e aparece o quadro pedindo senha, testei todas as senhas possiveis e nada.

Carlos cpereira-rs@hotmail.com

[16] Comentário enviado por luisaslima em 20/01/2007 - 20:56h

Atualizei do ubuntu 6.06 para o 6.10 e agora ficou a seguinte mensagem:
THE APLICATION "NAUTILUS" HAS QUIT UNEXPCTEDLY. E NAO CONSIGO ABRIR AS PASTAS, NEM BAIXAR PROGRAMAS.

PODEM ME AJUDAR??

luisaslima@gmail.com

[17] Comentário enviado por luisaslima em 23/01/2007 - 16:37h

Já consegui
obrigado.


Contribuir com comentário




Patrocínio

Site hospedado pelo provedor RedeHost.
Linux banner
Linux banner
Linux banner

Destaques

Artigos

Dicas

Tópicos

Top 10 do mês

Scripts